## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global debug_package %{nil}

%global srcname sparse-map

%global _description %{expand:
The sparse-map library is a C++ implementation of a memory efficient hash map
and hash set. It uses open-addressing with sparse quadratic probing. The goal
of the library is to be the most memory efficient possible, even at low load
factor, while keeping reasonable performances.}

Name:           tsl-%{srcname}
Version:        0.6.2
Release:        %autorelease
Summary:        C++ implementation of a memory efficient hash map and hash set 

License:        MIT
URL:            https://github.com/Tessil/%{srcname}
Source0:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  sed

BuildRequires:  boost-devel

%description    %{_description}

%package        devel
Summary:        %{summary}

%description    devel %{_description}

%prep
%autosetup -n %{srcname}-%{version}

# Warnings shouldn't break the build
sed -i 's/-Werror//' tests/CMakeLists.txt

%build
%cmake
%cmake_build

%install
%cmake_install

%check
pushd tests
%cmake
%cmake_build
./%{_vpath_builddir}/tsl_sparse_map_tests

%files devel
%license LICENSE
%doc README.md
# Directory shared with other libraries by the same author, e.g. robin-map
%dir %{_includedir}/tsl
%{_includedir}/tsl/sparse_*.h
%{_datadir}/cmake/%{name}

%changelog
* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jan 24 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 0.6.2-5
- Warnings shouldn't break the build

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Dec 16 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.6.2-1
- Initial Fedora package
